/****************************************************************************/
/* GF09 ( ｼｰｹﾝｽ定義 )                                                       */
/*                                                                          */
/* Created : 2016/09/15 10:15:06                                            */
/****************************************************************************/

CREATE TABLE GF09 (
   SYSTEM_ID    VARCHAR ( 10 )                          NOT NULL            /*  10 ｼｽﾃﾑID       */
 , TBLSYU       VARCHAR (  1 )                          NOT NULL            /*  20 ﾃｰﾌﾞﾙ種別    */
 , SEQNAME      VARCHAR ( 50 )                          NOT NULL            /*  30 ｼｰｹﾝｽ名      */
 , INCREBY      INTEGER             DEFAULT 1           NOT NULL            /*  40 ｲﾝｸﾘﾒﾝﾄ      */
 , STARTVAL     INTEGER             DEFAULT 1           NOT NULL            /*  50 開始値       */
 , MINVAL       INTEGER             DEFAULT 1           NOT NULL            /*  60 最小値       */
 , MAXVAL       NUMBER              DEFAULT 999999999   NOT NULL            /*  70 最大値       */
 , FGCYCLE      VARCHAR (  1 )      DEFAULT '1'         NOT NULL            /*  80 ｻｲｸﾙﾌﾗｸﾞ     */
 , SUCACHE      INTEGER             DEFAULT 0           NOT NULL            /*  90 ｷｬｯｼｭ数      */
 , LAST_NUMBER  NUMBER                                                      /* 100 最終値       */
 , TABLE_NAME   VARCHAR ( 50 )                                              /* 110 ﾃｰﾌﾞﾙ名      */
 , CLM          VARCHAR ( 30 )                                              /* 120 項目         */
 , UNIQ         BIGINT                                  NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR (  1 )      DEFAULT '1'         NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR ( 14 )                                              /* 820 登録日時     */
 , PGSET        VARCHAR ( 10 )                                              /* 830 作成PG       */
 , PGPSET       VARCHAR ( 10 )                                              /* 840 作成親PG     */
 , USRSET       VARCHAR ( 10 )                                              /* 850 作成社員     */
 , DYUPD        VARCHAR ( 14 )                                              /* 860 更新日時     */
 , PGUPD        VARCHAR ( 10 )                                              /* 870 更新PG       */
 , PGPUPD       VARCHAR ( 10 )                                              /* 880 更新親PG     */
 , USRUPD       VARCHAR ( 10 )                                              /* 890 更新者       */
);


CREATE SEQUENCE GF09S00 ;


CREATE TRIGGER GF09T00 FOR GF09
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GF09S00,1 );
  END; 

