/****************************************************************************/
/* GF70 ( JSPﾁｪｯｸ結果ﾃｰﾌﾞﾙ )                                                */
/*                                                                          */
/* Created : 2016/09/15 10:15:06                                            */
/****************************************************************************/

CREATE TABLE GF70 (
   SYSTEM_ID    VARCHAR         (  10 )                 NOT NULL            /*  10 ｼｽﾃﾑID       */
 , TBLSYU       VARCHAR         (   1 )                 NOT NULL            /*  20 ﾃｰﾌﾞﾙ種別    */
 , ADDRESS      VARCHAR         ( 256 )                                     /*  30 ｱﾄﾞﾚｽ        */
 , FILENAME     VARCHAR         (  60 )                                     /*  40 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR         ( 256 )                                     /*  50 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR         (  14 )                                     /*  60 最終更新日   */
 , TAGNAME      VARCHAR         (  30 )                                     /*  80 ﾀｸﾞ名称      */
 , MSGCD        VARCHAR         (  20 )                                     /*  90 ﾒｯｾｰｼﾞID     */
 , MSGTXT       VARCHAR         ( 500 )                                     /* 100 内容         */
 , TEXT_DATA    BLOB SUB_TYPE 1                                             /* 110 ﾃｷｽﾄ         */
 , FGOMIT       VARCHAR         (   1 )     DEFAULT '0' NOT NULL            /* 120 除外ﾌﾗｸﾞ     */
 , UNIQ         BIGINT                                  NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR         (   1 )     DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR         (  14 )                                     /* 820 登録日時     */
 , PGSET        VARCHAR         (  10 )                                     /* 830 作成PG       */
 , PGPSET       VARCHAR         (  10 )                                     /* 840 作成親PG     */
 , USRSET       VARCHAR         (  10 )                                     /* 850 作成社員     */
 , DYUPD        VARCHAR         (  14 )                                     /* 860 更新日時     */
 , PGUPD        VARCHAR         (  10 )                                     /* 870 更新PG       */
 , PGPUPD       VARCHAR         (  10 )                                     /* 880 更新親PG     */
 , USRUPD       VARCHAR         (  10 )                                     /* 890 更新者       */
);


CREATE SEQUENCE GF70S00 ;


CREATE TRIGGER GF70T00 FOR GF70
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GF70S00,1 );
  END; 

