/****************************************************************************/
/* GF92 ( 画面項目定義ﾃｰﾌﾞﾙ )                                               */
/* Created : 2016/09/15 10:14:56                                            */
/****************************************************************************/


ALTER TABLE GF92 ADD CONSTRAINT GF92_UQ PRIMARY KEY ( UNIQ )
USING INDEX TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


ALTER TABLE GF92 ADD CONSTRAINT GF92_LUQ UNIQUE( SYSTEM_ID,PGID,NMSYORI,SEQ,CLM,TABLE_NAME,AS_TABLE )
USING INDEX TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


CREATE INDEX GF92_SA ON GF92( SYSTEM_ID,PGID,SEQ,CLM )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


CREATE INDEX GF92_SB ON GF92( SYSTEM_ID,TABLE_NAME )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;


CREATE INDEX GF92_SC ON GF92( SYSTEM_ID,CLM )
TABLESPACE GEIDX01
STORAGE( INITIAL 16K )
;
