/****************************************************************************/
/* SYSTEM_ID : GF                                                           */
/* GANTT_PKG ( PACKAGE )                                                    */
/* Created : 2016/09/15 10:15:03                                            */
/****************************************************************************/

CREATE 
PACKAGE GANTT_PKG AS
/*****************************************************************************/
/*   title      ：  ラベル定義マスタ登録                                     */
/*   version    ：  001                                                      */
/*   date/author：  2003/06/30  K.Hasegawa(MIS)                              */
/*   text       ：  変更履歴管理開始                                         */
/*****************************************************************************/
    TYPE CUST_CURSOR IS REF CURSOR;
    PROCEDURE GANTTQUERY
    (
        P_KEKKA     OUT NUMBER
    ,   P_ERRMSGS   OUT ERR_MSG_ARRAY
    ,   P_RC1       OUT CUST_CURSOR
    ,   P_ARGS      IN  ARG_ARRAY
    );

    PROCEDURE GANTTOPERATE
    (
        P_KEKKA     OUT NUMBER
    ,   P_ERRMSGS   OUT ERR_MSG_ARRAY
    ,   P_RC1       OUT CUST_CURSOR
    ,   P_ARGS      IN  ARG_ARRAY
    );

END;
;
